OpenRouter access token signing keys
curl --request GET \
--url https://openrouter.ai/api/v1/oauth/jwks \
--header 'Authorization: Bearer <token>'import requests
url = "https://openrouter.ai/api/v1/oauth/jwks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openrouter.ai/api/v1/oauth/jwks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keys": [
{
"alg": "ES256",
"crv": "P-256",
"kid": "or-2026-09",
"kty": "EC",
"use": "sig",
"x": "f83OJ3D2xF1Bg8vub9tLe1gHMzV76e8Tus9uPHvRVEU",
"y": "x_FEzRu9m36HLN_tue659LNpXW6pCyStikYjKIWI5a0"
}
]
}{
"error": {
"code": 500,
"message": "Internal Server Error"
}
}OAuth
OpenRouter access token signing keys
RFC 7517 JWK Set containing the public keys OpenRouter signs access tokens with.
GET
/
oauth
/
jwks
OpenRouter access token signing keys
